## mycompiler.mytype
Class Pair

    java.lang.Object
      mycompiler.mytype.Pair

    public class Pair

extends java.lang.Object

Field Summary
`boolean` `bEqual`
`boolean` `bSubst`
`Type` `TA1`
`Type` `TA2`

Constructor Summary
`Pair(Type TA1, Type TA2)`
`Pair(Type TA1, Type TA2, boolean bEqual)`
`Pair(Type TA1, Type TA2, boolean bEqual, boolean bSubst)`

Method Summary
`Pair` `copyPair()`
`static Type` `copyType(Type T)`
`boolean` `equals(java.lang.Object obj)` Author: J�rg B�uerle
`Type` `getTA1Copy()`
`Type` `getTA2Copy()`
`boolean` `isEqual()`
`boolean` `isInMenge(de.dhbwstuttgart.typeinference.Menge V)`
`boolean` `Pair_isEquiv(Pair p)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TA1

    public Type TA1

### TA2

    public Type TA2

### bEqual

    public boolean bEqual

### bSubst

    public boolean bSubst

Constructor Detail

### Pair

    public Pair(Type TA1,
                Type TA2)

### Pair

    public Pair(Type TA1,
                Type TA2,
                boolean bEqual)

### Pair

    public Pair(Type TA1,
                Type TA2,
                boolean bEqual,
                boolean bSubst)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isEqual

    public boolean isEqual()

### copyType

    public static Type copyType(Type T)

### getTA1Copy

    public Type getTA1Copy()

### getTA2Copy

    public Type getTA2Copy()

### copyPair

    public Pair copyPair()

### Pair_isEquiv

    public boolean Pair_isEquiv(Pair p)

### isInMenge

    public boolean isInMenge(de.dhbwstuttgart.typeinference.Menge V)

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns: